body {
    font-family: Arial, sans-serif;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
}
h1 {
    font-size: 1.5em;
    margin-bottom: 1.5em;
}
form {
    width: 50%;
    max-width: 600px;
    padding: 2em;
    border: 1px solid #ccc;
    border-radius: 10px;
    background-color: #fff;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}
label {
    display: block;
    margin-bottom: 0.5em;
    font-size: 1em;
}
input[type="text"], input[type="password"] {
    width: 100%;
    padding: 0.5em;
    margin-bottom: 1em;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 1em;
}
button {
    background-color: #5bc0de; /* Light blue color */
    color: white;
    padding: 0.75em 1.5em;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 1em;
}
button:hover {
    background-color: #31b0d5; /* Darker blue when hovering */
}
button:disabled {
    background-color: #cccccc; /* Grey color when disabled */
    cursor: not-allowed;
}
.separator {
    border-bottom: 1px solid #ccc;
    margin-bottom: 1.5em;
}
.otp-container {
    display: flex;
    align-items: center;
    margin-bottom: 1em;
}
.otp-container input[type="text"] {
    width: 30%;
}
.otp-container button {
    margin-left: 5em;
    margin-bottom: 1em;
    padding: 0.6em 1.5em;
}